Bug 1314128 - [abrt] tk: Blt_NodeToEntry(): wish8.6 killed by SIGABRT
[abrt] tk: Blt_NodeToEntry(): wish8.6 killed by SIGABRT
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: tk (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaroslav Škarvada
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:5fdd0fcf88b9e8269af7adeffe5...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-02 19:35 EST by Heinz-Peter Heidinger
Modified: 2016-07-19 14:45 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:45:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (20.82 KB, text/plain)
2016-03-02 19:35 EST, Heinz-Peter Heidinger
no flags Details
File: cgroup (338 bytes, text/plain)
2016-03-02 19:35 EST, Heinz-Peter Heidinger
no flags Details
File: core_backtrace (3.97 KB, text/plain)
2016-03-02 19:35 EST, Heinz-Peter Heidinger
no flags Details
File: dso_list (2.14 KB, text/plain)
2016-03-02 19:35 EST, Heinz-Peter Heidinger
no flags Details
File: environ (3.13 KB, text/plain)
2016-03-02 19:35 EST, Heinz-Peter Heidinger
no flags Details
File: limits (1.29 KB, text/plain)
2016-03-02 19:35 EST, Heinz-Peter Heidinger
no flags Details
File: maps (15.87 KB, text/plain)
2016-03-02 19:35 EST, Heinz-Peter Heidinger
no flags Details
File: mountinfo (4.06 KB, text/plain)
2016-03-02 19:35 EST, Heinz-Peter Heidinger
no flags Details
File: namespaces (85 bytes, text/plain)
2016-03-02 19:35 EST, Heinz-Peter Heidinger
no flags Details
File: open_fds (343 bytes, text/plain)
2016-03-02 19:35 EST, Heinz-Peter Heidinger
no flags Details
File: proc_pid_status (990 bytes, text/plain)
2016-03-02 19:35 EST, Heinz-Peter Heidinger
no flags Details
File: var_log_messages (28 bytes, text/plain)
2016-03-02 19:35 EST, Heinz-Peter Heidinger
no flags Details

  None (edit)
Description Heinz-Peter Heidinger 2016-03-02 19:35:25 EST
Description of problem:
The BLT TCL/TK modules massively crash in TK thus the running wish is inflicted and terminates with sig-11/ core dump.

Run the demos in the 'demos' directory in the of the package (Fedora-22&23): /usr/share/tcl8.6/blt2.4/demos )
to reproduce. This happens on FEdora-22&23 and on CentOS-7 all the same way.
Most demos crash on termination. The 'hierbox' module crashes on startup.

Anyway, in this state BLT cannot be used reliably.

Best regards.

Version-Release number of selected component:
tk-8.6.4-2.fc22

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/bin/wish ./hiertable1.tcl
crash_function: Blt_NodeToEntry
executable:     /usr/bin/wish8.6
global_pid:     27757
kernel:         4.1.6-201.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 Blt_NodeToEntry at ../bltTreeView.c:1398
 #3 TreeEventProc at ../bltTreeView.c:2117
 #4 CheckEventHandlers at ../bltTree.c:720
 #5 NotifyClients at ../bltTree.c:764
 #6 Blt_TreeDeleteNode at ../bltTree.c:986
 #7 DeleteNode at ../bltTreeViewCmd.c:127
 #8 InsertOp at ../bltTreeViewCmd.c:3283
 #9 Blt_TreeViewWidgetInstCmd at ../bltTreeViewCmd.c:4918
 #10 Dispatch at /usr/src/debug/tcl8.6.4/generic/tclBasic.c:4359
 #11 TclNRRunCallbacks at /usr/src/debug/tcl8.6.4/generic/tclBasic.c:4392
Comment 1 Heinz-Peter Heidinger 2016-03-02 19:35:30 EST
Created attachment 1132597 [details]
File: backtrace
Comment 2 Heinz-Peter Heidinger 2016-03-02 19:35:31 EST
Created attachment 1132598 [details]
File: cgroup
Comment 3 Heinz-Peter Heidinger 2016-03-02 19:35:32 EST
Created attachment 1132599 [details]
File: core_backtrace
Comment 4 Heinz-Peter Heidinger 2016-03-02 19:35:34 EST
Created attachment 1132600 [details]
File: dso_list
Comment 5 Heinz-Peter Heidinger 2016-03-02 19:35:36 EST
Created attachment 1132601 [details]
File: environ
Comment 6 Heinz-Peter Heidinger 2016-03-02 19:35:37 EST
Created attachment 1132602 [details]
File: limits
Comment 7 Heinz-Peter Heidinger 2016-03-02 19:35:39 EST
Created attachment 1132603 [details]
File: maps
Comment 8 Heinz-Peter Heidinger 2016-03-02 19:35:40 EST
Created attachment 1132604 [details]
File: mountinfo
Comment 9 Heinz-Peter Heidinger 2016-03-02 19:35:41 EST
Created attachment 1132605 [details]
File: namespaces
Comment 10 Heinz-Peter Heidinger 2016-03-02 19:35:43 EST
Created attachment 1132606 [details]
File: open_fds
Comment 11 Heinz-Peter Heidinger 2016-03-02 19:35:44 EST
Created attachment 1132607 [details]
File: proc_pid_status
Comment 12 Heinz-Peter Heidinger 2016-03-02 19:35:45 EST
Created attachment 1132608 [details]
File: var_log_messages
Comment 13 Heinz-Peter Heidinger 2016-03-03 04:28:54 EST
I have been digging a bit deeper ...

You can forget about this.

See: http://wiki.tcl.tk/199

This says _clearly_ that BLT in version 2.4 it not compatible; neither with TCL/TK 8.5 (in Fedora-22) nor in TCL/TK-8.6 (in Fedora-23).

So, on CentOS-7 it _cannot_ work as well:
[root@clumas ~]# cat /etc/centos-release
CentOS Linux release 7.2.1511 (Core) 
[root@clumas ~]# rpm -qa| grep -i tcl-8
tcl-8.5.13-8.el7.x86_64

BLT should be removed from distributions that have TCL/TK >=8.5
installed. It just produces crashes and core dumps.

See the above TCL/TK wiki page for replacements.

Best regards ...
Comment 14 Fedora End Of Life 2016-07-19 14:45:25 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.